Debian Bug report logs - #526998
dh_haskell_shlibdeps fails with GHC 6.10.2

version graph

Package: haskell-devscripts; Maintainer for haskell-devscripts is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for haskell-devscripts is src:haskell-devscripts.

Reported by: "Jeremy Shaw" <jeremy@n-heptane.com>

Date: Mon, 4 May 2009 21:03:04 UTC

Severity: normal

Found in version haskell-devscripts/0.6.15+nmu9

Fixed in version haskell-devscripts/0.6.15+nmu10

Done: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Arjan Oosting <arjan@debian.org>:
Bug#526998; Package haskell-devscripts. (Mon, 04 May 2009 21:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jeremy Shaw" <jeremy@n-heptane.com>:
New Bug report received and forwarded. Copy sent to Arjan Oosting <arjan@debian.org>. (Mon, 04 May 2009 21:03:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Jeremy Shaw" <jeremy@n-heptane.com>
To: submit@bugs.debian.org
Subject: dh_haskell_shlibdeps fails with GHC 6.10.2
Date: Mon, 04 May 2009 16:02:08 -0500
[Message part 1 (text/plain, inline)]
Package: haskell-devscripts
Version: 0.6.15+nmu9

dh_haskell_shlibdeps fails if you are using GHC 6.10.2 (or
higher). The failure occurs because ghc-pkg now fails if the
package.conf does not already exist.

I have reported this to GHC, and they said that the new behaviour is
intended and will not be changed.

http://hackage.haskell.org/trac/ghc/ticket/3187

The fix is to create an empty package file by writing [] to the new
package conf. I have attached a patch for dh_haskell_shlibdeps which
does this.

This should be backwards compatible with GHC 6.10.1.

- jeremy shaw

[dh_haskell_shlibdeps_6102.patch (application/octet-stream, attachment)]
[Message part 3 (text/plain, inline)]



Reply sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
You have taken responsibility. (Sat, 09 May 2009 17:24:06 GMT) Full text and rfc822 format available.

Notification sent to "Jeremy Shaw" <jeremy@n-heptane.com>:
Bug acknowledged by developer. (Sat, 09 May 2009 17:24:06 GMT) Full text and rfc822 format available.

Message #10 received at 526998-close@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
To: 526998-close@bugs.debian.org
Subject: Bug#526998: fixed in haskell-devscripts 0.6.15+nmu10
Date: Sat, 09 May 2009 17:02:08 +0000
Source: haskell-devscripts
Source-Version: 0.6.15+nmu10

We believe that the bug you reported is fixed in the latest version of
haskell-devscripts, which is due to be installed in the Debian FTP archive:

haskell-devscripts_0.6.15+nmu10.dsc
  to pool/main/h/haskell-devscripts/haskell-devscripts_0.6.15+nmu10.dsc
haskell-devscripts_0.6.15+nmu10.tar.gz
  to pool/main/h/haskell-devscripts/haskell-devscripts_0.6.15+nmu10.tar.gz
haskell-devscripts_0.6.15+nmu10_all.deb
  to pool/main/h/haskell-devscripts/haskell-devscripts_0.6.15+nmu10_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 526998@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco Túlio Gontijo e Silva <marcot@holoscopio.com> (supplier of updated haskell-devscripts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 30 Apr 2009 10:27:13 -0300
Source: haskell-devscripts
Binary: haskell-devscripts
Architecture: source all
Version: 0.6.15+nmu10
Distribution: unstable
Urgency: low
Maintainer: Arjan Oosting <arjan@debian.org>
Changed-By: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
Description: 
 haskell-devscripts - Tools to help Debian developers build Haskell packages
Closes: 526998
Changes: 
 haskell-devscripts (0.6.15+nmu10) unstable; urgency=low
 .
   * Non-maintainer upload.
   * dh_haskell_shlibdeps:
     - Create empty package.conf before calling ghc-pkg.  Thanks to Jeremy
       Shaw <jeremy@n-heptane.com>.  Closes: #526998.
     - Use the same package.conf for all binary
       packages from the same source.  This allow a package with multiple
       binaries with internal dependencies to use dh_haskell_shlibdeps.
     - Treat correctly the names of libraries with dash.
   * debian/changelog: Correct the wrong bug number in the changelog for
     0.6.15+nmu9.
Checksums-Sha1: 
 42bd85353dfe0ed723c8059a47b2a9c371577f08 1014 haskell-devscripts_0.6.15+nmu10.dsc
 0dd702e7a339cfe6738784ad118dcfb84347a4f5 29249 haskell-devscripts_0.6.15+nmu10.tar.gz
 fbb91c937465c30cb1934222835d5cadbac11637 44800 haskell-devscripts_0.6.15+nmu10_all.deb
Checksums-Sha256: 
 6dfc1f14895507e2cab9bb67f208fcda053b13b33e80c72493c0df24003fbe77 1014 haskell-devscripts_0.6.15+nmu10.dsc
 bacecb0642933dc5a09c352a8cf7ac30077aa9d82f97a86cc53568213e3cd049 29249 haskell-devscripts_0.6.15+nmu10.tar.gz
 e52c40a8ce87cb010e7ab31c3a2f62b26aa2548733d727bacc45e82cf1335dac 44800 haskell-devscripts_0.6.15+nmu10_all.deb
Files: 
 81e654af3b504a29aebd5da35c86e180 1014 devel optional haskell-devscripts_0.6.15+nmu10.dsc
 478829dd27f6fd08cd9f50fbeae1ab81 29249 devel optional haskell-devscripts_0.6.15+nmu10.tar.gz
 d6feea2c51685b95f6f9fd2842888491 44800 devel optional haskell-devscripts_0.6.15+nmu10_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkoFtaAACgkQ9ijrk0dDIGyXhACgiGQUCNfYxi/u1r+RQ547mIXO
QHYAoLQbFRPc9+vzmZJNKgOauke+XO5k
=eyjC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Jun 2009 07:37:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:40:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.